### GET /prism/v4.3/management/domain-managers/{domainManagerExtId}/registrations/{extId} Source: https://developers.nutanix.com/api/v1/namespaces/prism/versions/v4.3/yaml Returns the specifications for the specified registration. ```markdown ### Parameters - **domainManagerExtId** (string, path, required): The external identifier of the domain manager (Prism Central) resource. (example: "599067d6-ee14-473e-8565-dfed89d85049") - **extId** (string, path, required): The external identifier of the domain manager (Prism Central) resource. (example: "65711611-ae51-47a0-b6c5-e17e847a2733") ### Responses #### 200 - Response model of the get endpoint. Specifications of the registered cluster. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): The registration entity refers to all the connected remote clusters to the Domain Manager. These could be other Domain Managers, PEs, WitnessVMs, etc. - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "5afe2bf2-5f80-4cc0-a798-1928942c4c51") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "385f4578-2484-43fe-a2cc-130496b1c020") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **remoteClusterExtId** (string): External ID of the remote cluster. This is the UUID of the remote cluster. (example: "0c172cae-c19c-4602-970c-ac9b9736e40a") - **connectivityStatus** (string (CONNECTED|DISCONNECTED|PENDING|$UNKNOWN|$REDACTED)): The connectivity status of the registered remote cluster. It can be one of the following - CONNECTED, DISCONNECTED, or UNKNOWN. ("CONNECTED"|"DISCONNECTED"|"PENDING"|"$UNKNOWN"|"$REDACTED") - **remoteClusterDetails** (object): A model base class whose instances are bound to a specific tenant. This model adds a tenantId to the base model class that it extends and is automatically set by the server. - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "5afe2bf2-5f80-4cc0-a798-1928942c4c51") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "385f4578-2484-43fe-a2cc-130496b1c020") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **name** (string): Cluster name of a remote cluster. (example: "string") - **externalAddress** (object) (required): An unique address that identifies a device on the internet or a local network in IPv4/IPv6 format or a Fully Qualified Domain Name. - **ipv4** (object): An unique address that identifies a device on the internet or a local network in IPv4 format. - **value** (string) (required): The IPv4 address of the host. (example: "248.218.207.162") - **prefixLength** (integer (int32)): The prefix length of the network to which this host IPv4 address belongs. - **ipv6** (object): An unique address that identifies a device on the internet or a local network in IPv6 format. - **fqdn** (object): A fully qualified domain name that specifies its exact location in the tree hierarchy of the Domain Name System. - **value** (string): The fully qualified domain name of the host. (example: "string") - **nodeIpAddresses** (array (common.v1.0.config.IPAddressOrFQDN)): Node IP addresses of a registered cluster. Array items: - **clusterType** (string (DOMAIN_MANAGER|AOS|$UNKNOWN|$REDACTED)): Type of cluster to be connected: - DOMAIN_MANAGER : Domain manager (Prism Central) instance - AOS : Prism Element cluster instance ("DOMAIN_MANAGER"|"AOS"|"$UNKNOWN"|"$REDACTED") - **clusterVersion** (string): Version of the cluster. This could be a version of AOS cluster, Domain Manager, or WitnessVM. (example: "string") - **metadata** (object): Generic key-value pair metadata model for products enablement/disablement workflow. - **attributes** (array (common.v1.0.config.KVPair)) Array items: #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (prism.v4.3.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (prism.v4.3.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{host}:{port}/api/prism/v4.3/management/domain-managers/{domainManagerExtId}/registrations/{extId}" ``` ``` -------------------------------- ### GET /prism/v4.3/management/domain-managers/{domainManagerExtId}/products/{extId} Source: https://developers.nutanix.com/api/v1/namespaces/prism/versions/v4.3/yaml Retrieves the product details along with it's current enablement and resize status. ```markdown ### Parameters - **domainManagerExtId** (string, path, required): The external identifier of the domain manager (Prism Central) resource. (example: "a70e04d1-31ff-4f7d-818f-2754bfeeb599") - **extId** (string, path, required): The product ID for a given product. It can be retrieved using the list request. (example: "2ea4daed-b858-41d4-9dd0-8a6decb0fcdc") ### Responses #### 200 - Returns the requested product details. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): Specifies whether products can be enabled or disabled. It also contains resource specification. - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "5afe2bf2-5f80-4cc0-a798-1928942c4c51") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "385f4578-2484-43fe-a2cc-130496b1c020") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **name** (string (FLOW_VIRTUAL_NETWORKING|FLOW_NETWORK_SECURITY|NUTANIX_DISASTER_RECOVERY|SELF_SERVICE|NUTANIX_MARKETPLACE|INTELLIGENT_OPERATIONS|NUTANIX_CLOUD_MANAGER|FLOW_CONTROLLER|$UNKNOWN|$REDACTED)): Name of a product that is an enum string. ("FLOW_VIRTUAL_NETWORKING"|"FLOW_NETWORK_SECURITY"|"NUTANIX_DISASTER_RECOVERY"|"SELF_SERVICE"|"NUTANIX_MARKETPLACE"|"INTELLIGENT_OPERATIONS"|"NUTANIX_CLOUD_MANAGER"|"FLOW_CONTROLLER"|"$UNKNOWN"|"$REDACTED") - **version** (string): Version of the product (if any). (example: "string") - **enablementState** (string (DISABLED|ENABLED|$UNKNOWN|$REDACTED)) (required): Represents the status of enablement. ("DISABLED"|"ENABLED"|"$UNKNOWN"|"$REDACTED") - **serviceEnablementTime** (string (date-time)): Timestamp at which the enablement was completed. (example: "2009-09-23T21:30:00.000Z") - **resizeTime** (string (date-time)): Timestamp of resize operation performed for a given product. (example: "2009-09-23T21:30:00.000Z") - **lastModifiedTime** (string (date-time)): Timestamp at which the last modification was done on enablement status or metadata. (example: "2009-09-23T21:30:00.000Z") - **resourceSpec** (object): Indicates the resource specification used by this application with attributes such as virtual CPUs and memory. - **cpuCount** (integer (int64)): Indicates the number of additional virtual CPUs to be added for a given portfolio product. (example: 96) - **memorySizeBytes** (integer (int64)): Indicates the memory to be added for a given portfolio product in bytes. (example: 79) - **metadata** (object): Generic key-value pair metadata model for products enablement/disablement workflow. - **attributes** (array (common.v1.0.config.KVPair)) Array items: #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (prism.v4.3.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (prism.v4.3.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{host}:{port}/api/prism/v4.3/management/domain-managers/{domainManagerExtId}/products/{extId}" ``` ``` -------------------------------- ### GET /prism/v4.3/operations/batches Source: https://developers.nutanix.com/api/v1/namespaces/prism/versions/v4.3/yaml Query the list of Batches. ```markdown ### Parameters - **$page** (integer (int32), query, optional): A URL query parameter that specifies the page number of the result set. It must be a positive integer between 0 and the maximum number of pages that are available for that resource. Any number out of this range might lead to no results. - **$limit** (integer (int32), query, optional): A URL query parameter that specifies the total number of records returned in the result set. Must be a positive integer between 1 and 100. Any number out of this range will lead to a validation error. If the limit is not provided, a default value of 50 records will be returned in the result set. - **$filter** (string, query, optional): A URL query parameter that allows clients to filter a collection of resources. The expression specified with $filter is evaluated for each resource in the collection, and only items where the expression evaluates to true are included in the response. Expression specified with the $filter must conform to the [OData V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. For example, filter **$filter=name eq 'karbon-ntnx-1.0'** would filter the result on cluster name 'karbon-ntnx1.0', filter **$filter=startswith(name, 'C')** would filter on cluster name starting with 'C'. (example: "string") - **$orderby** (string, query, optional): A URL query parameter that allows clients to specify the sort criteria for the returned list of objects. Resources can be sorted in ascending order using asc or descending order using desc. If asc or desc are not specified, the resources will be sorted in ascending order by default. For example, '$orderby=templateName desc' would get all templates sorted by templateName in descending order. (example: "string") - **$select** (string, query, optional): A URL query parameter that allows clients to request a specific set of properties for each entity or complex type. Expression specified with the $select must conform to the [OData V4.01](https://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part1-protocol.html) URL conventions. If a $select expression consists of a single select item that is an asterisk (i.e., *), then all properties on the matching resource will be returned. (example: "string") ### Responses #### 200 - Paginated list of Batches. - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (array (prism.v4.3.operations.Batch)) Array items: - **tenantId** (string): A globally unique identifier that represents the tenant that owns this entity. The system automatically assigns it, and it and is immutable from an API consumer perspective (some use cases may cause this ID to change - For instance, a use case may require the transfer of ownership of the entity, but these cases are handled automatically on the server). (example: "5afe2bf2-5f80-4cc0-a798-1928942c4c51") - **extId** (string): A globally unique identifier of an instance that is suitable for external consumption. (example: "385f4578-2484-43fe-a2cc-130496b1c020") - **links** (array (common.v1.0.response.ApiLink)): A HATEOAS style link for the response. Each link contains a user-friendly name identifying the link and an address for retrieving the particular resource. Array items: - **name** (string): An user friendly name of the batch. (example: "string") - **startTime** (string (date-time)): The execution start time of the batch. The value will be in extended ISO-8601 format. For example, start time of 2022-04-23T01:23:45.678+09:00 would imply that the batch started execution at 1:23:45.678 on the 23rd of April 2022. Details around ISO-8601 format can be found at https://www.iso.org/standard/70907.html (example: "2009-09-23T21:30:00.000Z") - **endTime** (string (date-time)): The completion time of the batch. The value will be in extended ISO-8601 format. For example, end time of 2022-04-23T01:23:45.678+09:00 would imply that the batch completed its execution at 1:23:45.678 on the 23rd of April 2022. Details around ISO-8601 format can be found at https://www.iso.org/standard/70907.html (example: "2009-09-23T21:30:00.000Z") - **size** (integer (int32)): The total number of elements submitted for processing in the batch. (example: 79) - **successCount** (integer (int32)): The total number of elements successfully processed in the batch. (example: 4) - **failedCount** (integer (int32)): The total number of elements that failed to be processed in the batch. (example: 24) - **completionStatus** (string (SUCCEEDED|FAILED|PARTIALLY_SUCCEEDED|CANCELLED|$UNKNOWN|$REDACTED)): The completion status of the batch. ("SUCCEEDED"|"FAILED"|"PARTIALLY_SUCCEEDED"|"CANCELLED"|"$UNKNOWN"|"$REDACTED") - **executionStatus** (string (IN_PROGRESS|COMPLETED|$UNKNOWN|$REDACTED)): The completion status of the batch. ("IN_PROGRESS"|"COMPLETED"|"$UNKNOWN"|"$REDACTED") - **shouldStopOnError** (boolean): A flag indicating whether the batch procession should halt or continue when an error response is received from the server during the execution of a batch chunk (example: true) #### 4XX - Client error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (prism.v4.3.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. #### 5XX - Server error response - **metadata** (object): The metadata associated with an API response. This value is always present and minimally contains the self-link for the API request that produced this response. It also contains pagination data for the paginated requests. - **flags** (array (common.v1.0.config.Flag)): An array of flags that may indicate the status of the response. For example, a flag with the name 'isPaginated' and value 'false', indicates that the response is not paginated. Array items: - **name** (string): Name of the flag. (example: "string") - **value** (boolean): Value of the flag. - **links** (array (common.v1.0.response.ApiLink)): An array of HATEOAS style links for the response that may also include pagination links for list operations. Array items: - **href** (string): The URL at which the entity described by the link can be accessed. (example: "string") - **rel** (string): A name that identifies the relationship of the link to the object that is returned by the URL. The unique value of "self" identifies the URL for the object. (example: "string") - **totalAvailableResults** (integer (int32)): The total number of entities that are available on the server for this type. (example: 41) - **messages** (array (common.v1.0.config.Message)): Information, Warning or Error messages that might provide additional contextual information related to the operation. Array items: - **code** (string): A code that uniquely identifies a message. (example: "string") - **message** (string): The description of the message. (example: "string") - **locale** (string): The locale for the message description. - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **extraInfo** (array (common.v1.0.config.KVPair)): An array of entity-specific metadata Array items: - **data** (object): An error response indicates that the operation has failed either due to a client error(4XX) or server error(5XX). Please look at the HTTP status code and namespace specific error code and error message for further details. - **error** (array (prism.v4.3.error.AppMessage)) Array items: - **message** (string): The message string. (example: "string") - **severity** (string (INFO|WARNING|ERROR|$UNKNOWN|$REDACTED)): The message severity. ("INFO"|"WARNING"|"ERROR"|"$UNKNOWN"|"$REDACTED") - **code** (string): The code associated with this message. This string is typically prefixed with the namespace to which the endpoint belongs. For example: VMM-40000 (example: "string") - **locale** (string): Locale for this message. The default locale would be 'en-US'. - **errorGroup** (string): The error group associated with this message of severity ERROR. (example: "string") - **argumentsMap** (object): The map of argument name to value. ### Example Usage ```bash curl -X GET "https://{host}:{port}/api/prism/v4.3/operations/batches?$page=0&$limit=50&$filter=string&$orderby=string&$select=string" ``` ``` -------------------------------- ### Schema: prism.v4.3.protectpc.PcvmRestoreFiles Source: https://developers.nutanix.com/api/v1/namespaces/prism/versions/v4.3/yaml List of files to be restored in new PC. ```markdown ## Schema: prism.v4.3.protectpc.PcvmRestoreFiles List of files to be restored in new PC. **Type:** object - **fileList** (array (prism.v4.3.protectpc.PcvmRestoreFile)) Array items: - **filePath** (string): Path of the file to be restored. (example: "string") - **fileContent** (string): Contents of the file to be restored. (example: "string") - **isEncrypted** (boolean): Whether the file is encrypted. (example: true) - **keyId** (string) (example: "string") - **encryptionVersion** (string) (example: "string") ```